GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Friends
grpc::mutex Class Reference

`#include <sync_no_cxx11.h>`

## Public Member Functions
| mutex ()
| ~mutex ()

## Friends
template<class mutex >
class | lock_guard
class | condition_variable

## Constructor & Destructor Documentation

grpc::mutex::mutex | ( |  | ) |
| inline

grpc::mutex::~mutex | ( |  | ) |
| inline

## Friends And Related Function Documentation

friend class condition_variable
| friend

template<class mutex >

friend class lock_guard
| friend

The documentation for this class was generated from the following file:

- include/grpc++/impl/sync_no_cxx11.h